	SUBROUTINE BPAGE

c  E.T.....
	CALL	CLS
	call home
	RETURN
	END
	SUBROUTINE CPAGE
	call cls
	CALL HOME
	RETURN
	END
	SUBROUTINE QDATE(I)
	integer*2 month,day,year
	integer*2 montab(12),mday
	data montab/31,27,31,30,31,30,31,31,30,31,30,31/
	call date(month,day,year)

c	since suprtrek expects the date in a decimal number of 
c	the form:	yyddd, we have some massaging to do...

	mday=0
	do 10 j=1,month
10	mday=mday+montab(j)

c	...we'll just have to recode february during leap years!!!

	i=(year*1000)+mday+day

	RETURN
	END
	SUBROUTINE QTIME(J)
	integer*2 hours,mins,secs,hsecs

c	j = time in seconds since midnight

	call time(hours,mins,secs,hsecs)
	j=(hours*3600)+(mins*60)+secs

	RETURN
	END
